% psfmt text underlay prolog (appended to psfmt.pro)
/@sul {		% set underlay text length variable : - => -
	/@ul @up HB ft @ut		% using underlay font & ps,
	stringwidth pop def		% calculate the text width
} def
/@pul {		% print underlay text : - => -
	gsave				% save environment
	po bot translate		% translate to bottom-left of text
	top bot sub dup tw atan rotate	% rotate onto text page diagonal
	dup mul tw dup mul add sqrt	% calculate length of diagonal
	@ul sub 2 div @up -0.35 mul moveto % start of text position
	@up HB ft @ut			% set underlay font & ps,
	@us?				% if print solid,
		{ 0.95 setgray show }	% use light gray,
		{ true charpath 0 setlinewidth stroke } % else outline text
	ifelse
	grestore			% restore environment
} bind def
