#include	"defs.h"
#include	"input.h"
#include	"string.h"
#include	"print.h"
#include	"alloc.h"

#define	STRLEN	BUFSIZE

char	string[STRLEN];


void get_string()
{
	register char *sp = string, *ep = &string[STRLEN-1];
	bool quotstr = F;

	if (peeknb() == '"') {
		(void) getnb();
		*sp = getch();
		quotstr = T;
	} else
		*sp = getnb();
	while (*sp != EOS) {
		if (quotstr == T) {
			if (*sp == '"')
				break;
		} else if (*sp == ' ' || *sp == '\t')
			break;
		if (sp == ep) {
			*sp = EOS;
			RET_WARN("string argument too long - truncated")
		}
		*++sp = getch();
	}
	*sp = EOS;
}

char *mk_string(str)
register char *str;
{
	register char *sp;

	sp = (char *)alloc((unsigned)(strlen(str) + 1), "string");
	(void) strcpy(sp, str);
	return sp;
}

bool split_string(ssp)
char	*ssp[3];
{
	register char delim, *sp = string;
	register int i = 0;

	if ((delim = *sp++) == EOS)
		return F;
	while (i < 3) {
		ssp[i++] = sp;
		while (*sp && *sp != delim)
			sp++;
		if (*sp == delim)
			*sp++ = EOS;
	}
	return T;
}
