%!
% psfmt prolog
/#findfont /findfont load def		% save real findfont operator
/#showpage /showpage load def		% save real showpage operator
/findfont {	% redefined findfont to make accented characters available
dup #findfont dup /Encoding get 8#340 get /.notdef eq {
	12 dict begin
	/newcodesandnames [
	8#200	/aacute		8#335	/acircumflex	8#336	/adieresis
	8#337	/agrave		8#202	/atilde		8#201	/aring
	8#340	/ccedilla	8#342	/eacute		8#344	/ecircumflex
	8#345	/edieresis	8#346	/egrave		8#203	/iacute
	8#347	/icircumflex	8#354	/idieresis	8#204	/igrave
	8#205	/ntilde		8#206	/oacute		8#355	/ocircumflex
	8#356	/odieresis	8#207	/ograve		8#210	/otilde
	8#211	/scaron		8#212	/uacute		8#357	/ucircumflex
	8#360	/udieresis	8#362	/ugrave		8#213	/ydieresis
	8#214	/zcaron
	8#215	/Aacute		8#300	/Acircumflex	8#311	/Adieresis
	8#314	/Agrave		8#217	/Atilde		8#216	/Aring
	8#321	/Ccedilla	8#322	/Eacute		8#323	/Ecircumflex
	8#324	/Edieresis	8#325	/Egrave		8#220	/Iacute
	8#326	/Icircumflex	8#327	/Idieresis	8#221	/Igrave
	8#222	/Ntilde		8#223	/Oacute		8#330	/Ocircumflex
	8#331	/Odieresis	8#224	/Ograve		8#225	/Otilde
	8#226	/Scaron		8#227	/Uacute		8#332	/Ucircumflex
	8#333	/Udieresis	8#334	/Ugrave		8#230	/Ydieresis
	8#231	/Zcaron
	] def
	/basefontdict exch def /newfontname exch def
	/newfont basefontdict maxlength dict def
	basefontdict { exch dup /FID ne {
		dup /Encoding eq { exch 256 array copy } { exch } ifelse
		newfont 3 1 roll put } { pop pop } ifelse } forall
	newfont /FontName newfontname put newcodesandnames aload pop
	newcodesandnames length 2 idiv { newfont /Encoding get 3 1 roll put }
	repeat newfontname newfont definefont end } { exch pop } ifelse
} bind def

/@T true def /@F false def
/@ne { sub abs 0.0001 gt } bind def
/@lt { 2 copy sub abs 0.001 lt {pop pop false} {lt} ifelse } bind def
/@le { 2 copy sub abs 0.001 lt {pop pop true} {le} ifelse } bind def
/@x {		% push current x position : - => x
	currentpoint pop
} bind def
/@y {		% push current y position : - => y
	currentpoint exch pop
} bind def
/go {		% go to position [x,y] : - => -
	x y moveto
} bind def
/hp {		% move horizontally : x => -
	y moveto
} bind def
/rh {		% relative horizontal motion : x => -
	0 rmoveto
} bind def
/rv {		% relative vertical motion : x => -
	neg 0 exch rmoveto
} bind def
/@rVM {		% restore VM, keeping current context : - => -
	@nc 1 gt {			% if multi-column,
		@ko @kx @gw @kl ll	% push multi-col variables
	} if
	x pageno top bot @bx? @nc po @l	% push variables to be saved
	@bl @bb @br @bt tw plen @pn? @np?
	@sz @nsz? @wf? @wfs rm a f tl vs @fpn
	@wfn @WF cvs length		% save word fontname & push its length
	mark @tabs aload pop		% push tabstops
	@cs @cf @CF cvs length		% save current font & push its length
	currentgray			% push gstate variables
	@snap restore			% reset VM
	setgray				% reset gstate
	@CF 0 3 -1 roll getinterval @f	% reset font
	] /@tabs exch def		% reset tabstops
	@WF 0 3 -1 roll getinterval /@wfn exch def % reset word fontname
	[ /@fpn/vs/tl/f/a/rm/@wfs/@wf?/@nsz?/@sz
	/@np?/@pn?/plen/tw/@bt/@br/@bb/@bl
	/@l/po/@nc/@bx?/bot/top/pageno/x ]
	{ exch def } forall		% reset saved variables
	@nc 1 gt {			% if multi-column,
		[ /ll/@kl/@gw/@kx/@ko ]
		{ exch def } forall	% reset multi-col variables
	} if
	/@snap save def			% reset VM snapshot
} bind def
/@fpg {		% deal with formatted page and VM : bool => -
	@fpn 20 mod 0 eq @wVM? or {	% if should or want VM restored,
		@rVMok? dup { @rVM } if	% restore the VM, if ok to do so
		/@wVM? exch not def	% set 'want-restore-VM' flag
	} if
	{ #showpage @setp }		% print the page, ...
	{ erasepage } ifelse		% ... or throw it away
	/@fpn @fpn 1 add def		% increment formatted page count
} bind def
/@end {		% terminate the document
	@np? @F eq {			% if there's a partial page,
		showpage		% flush it
	} if
} def
/showpage {	% redefine showpage to print only pages asked for : - => -
	@pli 0 ge {			% if in user page list,
		@pl @pli get aload length 1 eq { % if single page,
			pageno eq dup		% print/next-range or
						% no-print/don't-change-range
		} {				% else range [lo hi]
			pageno 3 -1 roll lt {	% if not yet within range,
				pop @F @F	% no-print/don't-change-range
			} {			% else print, check end-of-range
				@T exch pageno eq % TOS=end-of-range?
			} ifelse
		} ifelse
		{			% if current range done,
			/@pli @pli 1 add def	% increment index
			@pli @pll eq {		% if no more ranges,
				@pteof? {	% if print-to-end-of-file
					/@pli -1 def	% never use list again
				} {		% else this is last page wanted
					#showpage	% print current page
					quit		% all done!
				} ifelse
			} if
		} if
	} { @T } ifelse			% else always print
	@fpg				% deal with the formatted page
	/pageno pageno 1 add def	% increment page number
	/bl 0 def			% no current base line
} bind def
/@pg {		% start new page : - => -
	userdict /@ut known { @pul } if	% do underlay text, if exists
	@np? {				% if page overflow,
		/@np? @F def		% unset flag
		@x top			% keep current x posn (may not be 0!)
		top sy			% goto top for 'header'
	} {				% else (forced new page),
		top sy			% goto top of page
		currentpoint		% push coords for 'header'
	} ifelse
	@bx? { @box } if		% draw box (and page no.) if wanted
	userdict /header known { header } if % print user header, if exists
	dup /y exch def			% reset text posn (may not be top!)
	moveto				% goto text posn
	@nc 1 gt {			% if multi-col,
		/@ct y def		% save top-of-col posn
		/@cb y def		% reset bottom-of-col posn to top
	} if
} bind def
/@box {		% draw box around page (and page no.) : - => -
	gsave
	newpath po @bl sub bot @bb sub moveto	% bottom left corner for box
	tw @bl @br add add dup 0 rlineto	% bottom line
	0 plen @bb @bt add add rlineto		% right side
	currentpoint				% push top right corner on stack
	3 -1 roll neg 0 rlineto			% top line 
	closepath stroke			% draw box
	@pn? {				% print page number, if wanted
					% top right corner already on stack
		12 add moveto			% move up a bit further
		9 T ft				% set font
		pageno @pb cvs			% pageno -> string
		dup stringwidth pop neg 0 rmoveto % move left so that
		(Page ) dup stringwidth pop	% text is right adj.
		neg 0 rmoveto show show		% print page number
	} {				% if don't want page number,
		pop pop			% pop top right corner coords
	} ifelse
	grestore
} bind def
/sbm {		% set box margins : top bot left right => - 
	/@br exch def /@bl exch def /@bb exch def /@bt exch def
} bind def
/@gsz {		% get space size : - => -
	userdict begin
		/@sz ( ) stringwidth pop def	% set @sz to width of space
		/@nsz? @F def			% unset need-space-size flag
	end
} bind def
/ft {		% change font and point size : ps font => -
        findfont exch scalefont setfont         % set new font
} bind def
/@f {		% change font, point size & keep note : ps font => -
	2 copy /@cf exch def /@cs exch def	% save current font info
	ft					% set new font
} bind def
/font {		% change font/point size : ps font => -
	@f				% set new font/ps
	/@cfn @cf def /@cfs @cs def	% save current font
	/@nsz? @T def			% need to reset space width
} bind def
/nd {		% need arg vert space on page : space => -
	y exch sub bot @lt { @T @p_c } if % new page/col if not enough room
} bind def
/@gts {		% get next tab stop : cur-x-posn => tab-stop (-1 if none)
	userdict begin			% keep temp vars in userdict
	po sub /@d exch def		% current posn relative to left margin
	/@t -1 def			% no stop found
	@tabs {			% for each tab stop,
		@t 0 @lt {		% if stop not yet found,
			dup @d exch @lt {	% if this is next stop,
				/@t exch def	% save the tab stop
			} { pop } ifelse	% else throw away the stop
		} { pop } ifelse	% ignore following stops
	} forall
	@t 0 gt { /@t @t po add def } if % if found, convert to absolute posn
	@t				% push result on stack
	end
} bind def
/@tex {		% call type function for string/array elements : str/array => -
	dup type /stringtype eq			% if a simple string,
		{ stringtype }			% call the string type routine,
		{ { dup type exec } forall }	% else call element type routine
	ifelse
} bind def
/@strD 3 dict def			% dict for printing
@strD begin				% prepare type functions for printing
	/stringtype { show } bind def	% text 
	/arraytype {			% font change or local motion
		dup xcheck {		% if its executable,
			exec		% execute it
		} {			% else
			userdict begin	% @cf & @cs are not in @strD
			aload pop @f	% change font
			end
		} ifelse
	} bind def
	/nulltype {			% paddable space
		pop ( ) show @sx 0 rmoveto
	} bind def
end
/@out {		% output text array : string/array => -
	@np? { @pg } if			% if need new page, prepare for it
	@strD begin @tex end		% output each text object
} bind def
/@widD 3 dict def			% dict for finding text width
@widD begin				% prepare text width type functions
	/stringtype {			% text
		stringwidth pop @w add /@w exch def
	} bind def
	/arraytype {			% font change?
		dup xcheck not {	% yes!
			userdict begin	% variables are not in @widD
			aload pop @f	% change font
			/@nsz? @T def	% need to reset space width
			/@f? @T def	% line font changed since remembered
			/@wf? @T def	% word font changed since remembered
			end
		} { pop } ifelse	% else do nothing
	} bind def
end
/@wid {		% calculate text width : string/array => text-width
	@widD begin /@w 0 def @tex @w end
} bind def
/@fl {		% reset length of fillable text line : - => -
	@nw 0 gt {			% have partial line if e.g. 'in or 'ti
		/@l @l @dx sub def	% subtract x delta from fillable length
		@l 0 le { br } if	% if gone negative, output partial line
					% (this will re-call @fl with @nw = 0)
					% this is a fudge; we really should
					% remove words from stack until enough
					% room left, then break, then restart
					% new line with the removed words.
	} {
		/@l rm x sub def	% length is right margin - text indent
	} ifelse
} bind def
/fi {		% start fill mode : bool => -
	/a exch def			% set adjust-mode flag from arg
	/f @T def			% set fill-mode flag to true
	/@nsz? @T def			% need to reset space size
	@nw 0 eq {			% if no partial line
		@fl			% set fillable line length
		/@ns 0 def		% reset paddable space count
		mark			% start output line text array
	} if
} bind def
/nf {		% start no-fill mode : - => -
	f @nw 0 eq and { pop } if	% if were in fill mode and no partial
					% line on stack, pop the (start) mark
	/f @F def			% unset fill-mode flag
} bind def
/@spD 4 dict def			% dict to remove trailing space
@spD begin				% prepare type functions
	/stringtype { exit } bind def	% exit loop if not "space" object
	/arraytype { exit } bind def
	/nulltype {			% paddable space
		pop			% remove the "space"
		userdict begin		% @l is not in @spD!
			/@l @l @sz add def % readjust fillable length
			/@ns @ns 1 sub def % decrement number of paddable spaces
		end
	} bind def
end
/@p {		% print text line (fill mode only) : text-objs bool bool => -
	/@l? exch def			% local flag set if newline wanted
	/@a? exch def			% local flag for adjusting
	f @nw 0 gt and {		% if fill-mode and text to output,
		@spD begin { dup type exec } loop end % remove trailing space
		counttomark array astore % create array with text objects
		@nw 1 gt {		% if more than 1 word in line,
					% (always print if only 1 word)
			@a? {		% if adjusting,
				/@sx @l @ns div def % set paddable space adjust
			} {
				/@sx 0 def	% no adjustment of spaces
			} ifelse
		} if
		@f? { @cfs @cfn @f} if	% if font changed, reset it
		@out			% output the text array
		@l? { @nl } if		% start new line, if wanted
		/@cfn @cf def /@cfs @cs def % save current (start of line) font
		/@f? @F def		% reset line-font-change flag
		/@nw 0 def /@ns 0 def @fl % reset word & space cnt, fill length
	} if
} bind def
/tit {		% output a three part title : right centre left => -
	po y moveto @out		% output left text
	dup @wid tl exch sub 2 div	% at centre of line,
	po add y moveto @out		% output centre text
	dup @wid tl exch sub		% at right margin less string width,
	po add y moveto @out		% output right text
	@nl				% always add a newline
} bind def
/br {		% cause a break : - => -
	@F @T @p			% output partial line without adjusting
} bind def
/@p_c {		% prepare for new page or column : start_page? => -
	@nc 1 gt @c @nc lt and {	% if multi-col & not last col on page,
		pop @F ncol		% start next column
	} {				% else,
		@nc 1 gt { @ko @kx @c1 } if % if multi-col, reset for col1
		showpage		% print current page
		{ @pg }			% start new page, or
		{			% just prepare for it
			/@np? @T def	% indicate ready for new page
			/y top def	% reset y to top of page
		} ifelse
	} ifelse
} bind def
/@p? {		% do we need to start a new page? : - => -
	y bot @lt { @F @p_c } if	% if y posn below bottom of page,
					% prepare next page/column
	go				% go to start of new line/page
} bind def
/@nl {		% start new line : - => -
	/y y vs sub def			% adjust y posn using vertical-space
	@p?				% new page? or move to new line
} bind def
/sx {		% set indentation : in => -
	dup x sub /@dx exch def		% set delta x (new - old)
	/x exch def go			% set new x value and go there
	@fl				% reset fillable line length
} bind def
/stx {		% set temporary indent : ti => -
	/@d exch def			% save posn in temp
	@d hp				% go to temp indent position
	@nw 0 gt {			% if partial line,
		/@dx @d x sub def	% set delta x (new - old)
		@fl			% reset fillable line length,
					% handling eventual overflow
	} {
		/@l rm @d sub def	% reset fillable line length using ti
	} ifelse
} bind def
/ph {		% position horizontally : posn => -
	/@d exch def			% save posn in temp
	@F @F @p			% if partial line, output it without
					% space adjusting and no newline
	@d hp				% move to new position
	/@l rm @d sub def		% reset fillable length
} bind def
/@ts {		% handle tab stop : proc x-posn => -
	@gts				% get the next tab stop, if any
	dup 0 gt			% if there is one,
		3 -1 roll		% call the arg proc to do as needed
		{ pop } ifelse		% else forget it
} bind def
/tab {		% go to next tab stop, fill mode : - => -
	@l 0 gt {			% if not past right margin,
		{ ph }			% push proc to do the tabbing, and
		rm @l sub		% current horiz posn
		@ts			% go to next tab stop
	} if
} bind def
/mtab {		% go to next tab stop, no-fill mode : - => -
	{ hp } @x @ts			% simple move to next tab stop
} bind def
/hm {		% horizontal motion : dist => -
	/@d exch def			% save distance in temp
	{ 0 rh } dup 0 @d put		% push motion code object on stack
	/@l @l @d sub def		% reset fillable length
} def					% no bind else {0 rh} would be readonly!
/imv {		% move to indent, newline if depassed : - => -
	x @x @le { @nl }		% if beyond indent, go to next line
	{ go } ifelse			% else go to indent
} bind def
/sy {		% absolute space vertically : sp => -
	@np? { @pg } if			% if need new page, prepare for it
	/y exch def			% set new y value
	@p?				% go there (new page if necessary)
} bind def
/sp {		% relative space vertically : sp => -
	top y @ne {			% if not at top of page,
		/@t exch def			% save space argument
		@t 0 le {			% if spacing up,
			/y y @t sub dup top gt	% reset y-posn to that asked,
			{ pop top } if def	% but not above top of page.
			go			% go there
		} {				% else spacing down
			@y bl @ne {		% if not on saved baseline
				/@xsp 0 def	% clear output-space value
			} {			% else,
				/@t @t @xsp sub def % subtract space already done
			} ifelse
			@t 0 gt {		% if need to output space,
				/y y @t sub def	% set new y posn
				/@xsp @xsp @t add def % reset output-space value
				@p?		% move there (new page if must)
				/bl @y def	% save baseline
			} if
		} ifelse
	} { pop } ifelse		% else forget it
} bind def
/bp {		% break page : - => -
	top y @ne {			% if not at top of page already,
		showpage @pg		% print current and start new page
	} if
} bind def
/ss {		% output paddable space (repr. by null object) : - => null
	@nw 0 gt {			% if not at start of line,
		null			% push "space" on stack
		@nsz? { @gsz } if	% reset space size, if needed
		/@l @l @sz sub def	% adjust fillable line length
		/@ns @ns 1 add def	% increment paddable space count
	} if
} bind def
/@pw {		% push word onto stack : string/array => string/array-elements
	dup type /arraytype eq		% if its an array,
		{ aload pop }		% push the elements
	if
} bind def
/s {		% output word (string) : string/array => string/array-elements
	/@t exch def			% store array in temp var
	/@wfn @cf def /@wfs @cs def	% store start-of-word font info
	/@wf? @F def			% reset word-font-change flag
	@t @wid				% calculate text width
	dup @l exch @lt {		% if text width > fillable length,
		pop			% pop text width
		@nw 0 eq {		% true if current word > line length
			@t @pw		% force current word to be output
			/@nw 1 def	% have one word
			@F @T @p	% output word without adjusting
		} {
			/@rVMok? @F def	% don't try to restore VM now
			a @T @p		% output text line using adjust-mode
			/@rVMok? @T def	% ok to restore VM now
			@wf? { @wfs @wfn @f } if % reset start of word font
			@t s		% re-format the word
		} ifelse
	} {
		/@l @l 3 -1 roll sub def % adjust fillable length by word width
		/@nw @nw 1 add def	% increment word count
		@t @pw			% put current word on stack
	} ifelse
} bind def
/w {		% output word + space : str/array => str/array-elements null
	s				% output the word
	ss				% output a space
} bind def
/ln {		% output no-fill line : bool text-array => -
	@out { @nl } if			% output text; go to next line if wanted
} bind def
/ce {		% centre text line : text-array => -
	x rm x sub 2 div add y moveto	% move to centre of line
	dup @wid 2 div neg 0 rmoveto	% move left half of text width
	@T exch ln			% output the line and go to next line
} bind def
/mcol {		% start multi-column output : gutter #cols => -
	/@nc exch def /@gw exch def	% store no. of cols & gutter width
	/@ct y def			% set top of column position
	/@kl ll def /@ko po def /@kx x def % keep current format values
	/ll ll @gw @nc 1 sub mul sub @nc div def % set line length to col width
	po x @c1			% set up for column one
} bind def
/scol {		% go back to single column output : - => -
	/@nc 1 def			% reset no. of columns
	/ll @kl def @ko @kx @cv		% reset formatting values
	@c 1 gt { @cb sy } if		% move to lowest column posn, if needed
} bind def
/ncol {		% start next column : newpageifnoroom? => -
	y @cb @lt { /@cb y def } if	% store lowest yet column posn
	@c @nc lt {			% if room for new column,
		pop				% discard the argument
		ll @gw add dup po add exch x add @cv % reset column fmt values
		/y @ct def go			% go to top of next column
		/@c @c 1 add def		% increment column counter
	} {				% else have reached max cols/page
		{			% if want to go to new page,
			@F @p_c			% do so
		} {			% else start again below current cols
			@cb sy			% move below current columns
			/@ct y def		% set top of column position
			@ko @kx @c1		% set up as for column 1
		} ifelse
	} ifelse
} bind def
/@c1 {		% setup column 1 : po x => -
	@cv				% reset column format values
	/@cb @ct def			% lowest column point is top of col.
	/@c 1 def			% set column counter
} bind def
/@cv {		% reset column format values : po x => -
	/x exch def /po exch def	% set indent & offset from args
	/rm po ll add def @fl		% reset right margin & fill length
} bind def

% standard and start-up definitions
/f @F def				% fill-mode never yet entered
/@np? @F def				% don't start a new page
/@f? @F def				% no font change in current line
/bl 0 def				% no current base line
/@nw 0 def				% set word count to zero
/@nc 1 def				% start in single-column output
/@c 1 def				% current column is 1
/@nsz? @F def				% don't need to reset space size
/@pb 4 string def			% buf for string repr. of page number
/@fpn 1 def				% formatted page number
/@wVM? @F def				% don't want to restore VM
/@rVMok? @T def				% ok to restore VM
/@CF 40 string def			% buffer for current fontname
/@WF 40 string def			% buffer for current word fontname
/@tabs [ 36 72 108 144 180 216 252 288 324 360 396 432 ] def % tab stops
% font name abbreviations
/T /Times-Roman def /TI /Times-Italic def /TB /Times-Bold def
/TX /Times-BoldItalic def /H /Helvetica def /HI /Helvetica-Oblique def
/HB /Helvetica-Bold def /HX /Helvetica-BoldOblique def /C /Courier def
/CI /Courier-Oblique def /CB /Courier-Bold def /CX /Courier-BoldOblique def
/PA /Palatino-Roman def /PAI /Palatino-Italic def /PAB /Palatino-Bold def
/PAX /Palatino-BoldItalic def
/S /Symbol def /ZD /ZapfDingbats def /ZC /ZapfChancery-MediumItalic def
