#include	"defs.h"
#include	"string.h"


extern	void 	set_ps(), set_font(), set_roman(), set_italic(), set_bold(),
		set_bolditalic(), set_prev_font(), set_temp_font(),
		set_fill(), set_nofill(), set_adjust(), set_noadjust(),
		set_display(), end_display(), set_centre(),
		set_indent(), set_temp_indent(), set_offset(),
		set_list(), end_list(), do_list_item(),
		set_linelen(), set_titlelen(), set_tabstops(),
		set_pageno(), set_escape(),
		set_register(), set_reg_format(), rm_register(),
		set_char(), rm_char(), set_string(), set_macro(), rm_strmac(),
		set_top(), set_pagelen(), set_pagewid(),
		set_box(), set_boxmarg(),
		do_break(), do_breakpage(), do_space(), do_need(),
		do_if(), do_ifelse(), bad_else(), ch_source(),
		set_multicol(), set_singlecol(), next_column(),
		set_title(), set_environment(), add_font(),
		pop_args(), pop_if();

static struct request {
	char	*name;
	void	(*func)();
} requests[] = {
	"ps",	set_ps,
	"ft",	set_font,
	"r",	set_roman,
	"i",	set_italic,
	"b",	set_bold,
	"x",	set_bolditalic,
	"p",	set_prev_font,
	"tf",	set_temp_font,
	"fi",	set_fill,
	"nf",	set_nofill,
	"ad",	set_adjust,
	"na",	set_noadjust,
	"ds",	set_display,
	"de",	end_display,
	"ce",	set_centre,
	"in",	set_indent,
	"ti",	set_temp_indent,
	"nr",	set_register,
	"af",	set_reg_format,
	"rr",	rm_register,
	"str",	set_string,
	"def",	set_macro,
	"rm",	rm_strmac,
	"ch",	set_char,
	"rc",	rm_char,
	"top",	set_top,
	"pl",	set_pagelen,
	"pw",	set_pagewid,
	"box",	set_box,
	"bm",	set_boxmarg,
	"po",	set_offset,
	"ls",	set_list,
	"le",	end_list,
	"li",	do_list_item,
	"ll",	set_linelen,
	"lt",	set_titlelen,
	"ta",	set_tabstops,
	"ec",	set_escape,
	"pn",	set_pageno,
	"br",	do_break,
	"bp",	do_breakpage,
	"sp",	do_space,
	"ne",	do_need,
	"if",	do_if,
	"ifel",	do_ifelse,
	"else",	bad_else,
	"so",	ch_source,
	"mc",	set_multicol,
	"sc",	set_singlecol,
	"nc",	next_column,
	"tl",	set_title,
	"ev",	set_environment,
	"font",	add_font,
	"PArgs",pop_args,
	"PIf",	pop_if,
	NULLSTR
};


void (*lookup(req))()
char *req;
{
	register struct request *rp;
	void (*mac)();
	extern void (*macro())();

	if (mac = macro(req))
		return mac;
	for (rp = requests; rp->name; rp++)
		if (streq(rp->name, req))
			return rp->func;
	return (void (*)())0;
}
