#include	"defs.h"
#include	"input.h"
#include	"scalenum.h"
#include	<setjmp.h>


number	num;
jmp_buf	ejbuf;		/* used in conjunction with 'interpret()' */


void scale_num(dflt_scale, no_errs)
bool no_errs;
{
	char c;
	extern bool parse();
	extern double interpret();

	num.err = T;
	if ((c = getnb()) == EOS)
		return;
	num.sign = ABS;
	if (c == '+' || c == '-')
		num.sign = c == '+' ? PLS : MIN;
	else
		ungetch(c);
	if (parse(dflt_scale, no_errs) == F)
		return;
	if (setjmp(ejbuf))
		return;
	num.fval = (float)interpret();
	num.val = (int)num.fval;
	num.err = F;
}

void set_num(p, min)
int *p;
{
	if (num.sign == ABS)
		*p = num.val;
	else if (num.sign == PLS)
		*p += num.val;
	else
		*p -= num.val;
	if (*p < min)
		*p = min;
}
